Subject: bug#5018: 23.1.50; Feature request: truncate-lines text property

From: Carsten Dominik <[email-masked]>
Date: Mon, 23 Nov 2009 11:33:43 +0100

Hi, this is a feature request.

I would like to have a text property `truncate-lines' that can be used
to locally overrule the buffer-local or global value of the
`truncate-lines' variable.

The reason for this is that visual-line-mode and (setq wrap-word t) make
a good environment to allow people to write in  paragraph-oriented way,
but that text documents often contain blocks where line wrapping is
undesirable, such as a table, ASCII drawings, of source code examples.
Org-mode is a good example for a mode where text is intermingled with
these types of structured material.

A truncate-line property would allow a mode to arrange this property to
be set to t for specific lines only and in this way make it possible to get
the best of two worlds in a single buffer.

Thanks for considering it.

- Carsten